Apache Airflow 存在Kubernetes配置文件泄露风险

来源: 投稿
2024-01-25 15:56:00

漏洞描述

Apache Airflow 是一个开源的工作流自动化平台,Apache Airflow CNCF Kubernetes provider 是给 Airflow 提供Kubernetes支持的工具包。

Apache Airflow CNCF Kubernetes provider 5.2.0及之后版本中,当使用 Kubernetes 配置文件路径的可延迟模式进行身份验证时,Airflow worker 会将该配置文件序列化为字典并将其存储在元数据中,在不进行任何加密的情况下将其发送给触发器。同时,如果 Apache Airflow CNCF Kubernetes provider 与2.3.0至2.6.0之间的Airflow版本一起使用,配置字典将以纯文本的形式记录在触发器服务中,而不进行任何掩码处理,使得有权限访问元数据或触发器日志的用户可获取Kubernetes配置文件信息,并访问Kubernetes集群。

Apache Airflow CNCF Kubernetes provider 7.0.0版本停止了文件内容的序列化,而是通过提供文件路径以将内容读入触发器修复此漏洞。

漏洞名称 Apache Airflow 存在Kubernetes配置文件泄露风险
漏洞类型 日志敏感信息泄露
发现时间 2024-01-24
漏洞影响广度 广
MPS编号 MPS-9l6b-gqsm
CVE编号 CVE-2023-51702
CNVD编号 -

影响范围

apache-airflow-providers-cncf-kubernetes@[5.2.0, 7.0.0)

apache-airflow@[2.3.0, 2.6.1)

修复方案

将组件 apache-airflow-providers-cncf-kubernetes 升级至 7.0.0 及以上版本

将组件 apache-airflow 升级至 2.6.1 及以上版本

参考链接

https://www.oscs1024.com/hd/MPS-9l6b-gqsm

https://nvd.nist.gov/vuln/detail/CVE-2023-51702

https://github.com/apache/airflow/pull/29498

https://github.com/apache/airflow/pull/30110

https://github.com/apache/airflow/pull/36492

https://lists.apache.org/thread/89x3q6lz5pykrkr1fkr04k4rfn9pvnv9

    

免费情报订阅&代码安全检测

OSCS是国内首个开源软件供应链安全社区,社区联合开发者帮助全球顶级开源项目解决安全问题,并提供实时的安全漏洞情报,同时提供专业的代码安全检测工具为开发者免费使用。社区开发者可以通过配置飞书、钉钉、企业微信机器人获取一手的情报。

免费代码安全检测工具: https://www.murphysec.com/?src=osc

免费情报订阅: https://www.oscs1024.com/cm/?src=osc

具体订阅方式详见: https://www.oscs1024.com/docs/vuln-warning/intro/?src=osc

展开阅读全文
点击引领话题📣 发布并加入讨论🔥
0 评论
0 收藏
分享
返回顶部
顶部